/*
**        --- FILEXFER.H ---
**
**  Configuration parameters for FILEXFER.C
**
**  1) Set AT_COMMAND_SET to 1 if you are using a HAYES AT command set
**     compatible modem, else set to 0.
**  2) Set RTS_CTS_CONTROL to 1 if talking to a modem that requires flow
**     control.
**  3) If you are using a null modem cable for a direct PC to PC link, don't
**     set RTS_CTS_CONTROL to 1 unless you are absolutely sure that RTS and
**     CTS are switched in the null modem cable.
**  4) Remember that AT_COMMAND_SET and RTS_CTS_CONTROL apply to BOTH channels.
**  5) Limit baud rates to 19,200 if you are using two ports simultaneously.
*/

/*** configuration data ***/

#define AT_COMMAND_SET  0
#define RTS_CTS_CONTROL 0
#define NBR_OF_CHANNELS 4
#define FIRST_PORT   COM1
#define SECOND_PORT  COM2
#define THIRD_PORT   COM3
#define FOURTH_PORT  COM4
#define FIRST_BAUD   Baud19200
#define SECOND_BAUD  Baud19200
#define THIRD_BAUD   Baud19200
#define FOURTH_BAUD  Baud19200
