/* PPL4C.H */

#define NO_ERROR              0
#define ALREADY_ACTIVE_ERROR  1
#define CANNOT_OPEN_ERROR     2
#define EMPTY_FILE_ERROR      3
#define NO_STARTUP_CHAR_ERROR 4
#define NOT_NCG_ERROR         5
#define DISK_READ_ERROR       6
#define NO_EOT_ACK_ERROR      7
#define INTERNAL_ERROR        8
#define CANCELLED_ERROR       9
#define OUT_OF_SYNC_ERROR    10
#define RETRIES_ERROR        11
#define BAD_PACKET_NBR_ERROR 12
#define TIMED_OUT_ERROR      13
#define NO_SUCH_FILE_ERROR   14

#define XY_IDLE             101

#define TX_START            201
#define TX_NEWFILE          202
#define TX_WAIT4_NCG        203
#define TX_COMPUTE_PACKETS  204
#define TX_READ_DISK        205
#define TX_SEND_EOT         206
#define TX_WAIT4_EOT_ACK    207
#define TX_PREPARE_PACKET   208
#define TX_SEND_PACKET      209
#define TX_SEND_DATA        210
#define TX_SEND_CHECKSUM    211
#define TX_WAIT4_PACKET_ACK 212
#define TX_CHECK4_RESTART   213
#define TX_NEXT_PACKET      214

#define RX_START            300
#define RX_SEND_NCG         301
#define RX_WAIT4_INCOMING   302
#define RX_OPEN_FILE        303
#define RX_READY4_PACKETS   304
#define RX_GET_PACKET       305
#define RX_PACKET_OK        306
#define RX_WAIT4_SOH_STX    307
#define RX_GET_DATA         308
#define RX_GET_PACKET_NBR   309
#define RX_GET_COMPLIMENT   310
#define RX_GET_CRC          311
#define RX_GET_2ND_CRC      312
#define RX_TEST_CRC         313

#define ONE_SEC    18L
#define FIVE_SECS  91L
#define TEN_SECS  182L

int xyAbort(int);
int xyDriver(int);
int xyGetErrorCode(int);
int xyGetErrorState(int);
char *xyGetFilename(int);
int xyGetPacket(int);
int xyGetState(int);
int xyInit(int,int);
int xyGetNAKs(int);
int xyStartRx(int,char *,char,int);
int xyStartTx(int,char *,int,int);